Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.domain
Class Content

    java.lang.Object
      net.sourceforge.pebble.domain.Content

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, Permalinkable

Direct Known Subclasses:
  PageBasedContent, Response

    public abstract class Content

extends java.lang.Object
implements Permalinkable, java.lang.Cloneable, java.io.Serializable

Superclass for blog entries, comments and TrackBacks.

Author:
  Simon Brown
See Also:
  Serialized Form

Field Summary
`protected java.beans.PropertyChangeSupport` | `propertyChangeSupport` the class responsible for managing property change events

Constructor Summary
`Content()` Default, no args constructor.

Method Summary
`void` | `clearPropertyChangeEvents()` Clears existing property change events.
`abstract java.lang.String` | `getContent()` Gets the content of this response.
`java.util.List<PebbleEvent>` | `getEvents()`
`java.util.List` | `getPropertyChangeEvents()` Gets the list of property change events.
`State` | `getState()` Gets the state of this comment.
`java.lang.String` | `getTruncatedContent()` Gets the content of this response, truncated and without HTML tags.
`boolean` | `hasEvents()` Determines whether this object has outstanding events.
`boolean` | `isDirty()` Determines whether this class has had properties changed since it was last persisted.
`PebbleEvent` | `nextEvent()` Gets the next event to be handled.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sourceforge.pebble.domain.Permalinkable
`getPermalink`

Field Detail

### propertyChangeSupport

    protected transient java.beans.PropertyChangeSupport propertyChangeSupport

  the class responsible for managing property change events

Constructor Detail

### Content

    public Content()

  Default, no args constructor.

Method Detail

### getContent

    public abstract java.lang.String getContent()

  Gets the content of this response.

  Returns:
    a String

### getTruncatedContent

    public java.lang.String getTruncatedContent()

  Gets the content of this response, truncated and without HTML tags.

  Returns:
    the content of this response as a String

### getState

    public State getState()

  Gets the state of this comment.

  Returns:
    a State instance (APPROVED, REJECTED or PENDING)

### clearPropertyChangeEvents

    public void clearPropertyChangeEvents()

  Clears existing property change events.

### isDirty

    public boolean isDirty()

  Determines whether this class has had properties changed since it was last persisted.

  Returns:
    true if properties have changed, false otherwise

### getPropertyChangeEvents

    public java.util.List getPropertyChangeEvents()

  Gets the list of property change events.

  Returns:
    a List of PropertyChangeEvent instances

### hasEvents

    public boolean hasEvents()

  Determines whether this object has outstanding events.

  Returns:
    true if events are outstanding, false otherwise

### nextEvent

    public PebbleEvent nextEvent()

  Gets the next event to be handled.

  Returns:
    a PebbleEvent instance, or null if no more events

### getEvents

    public java.util.List<PebbleEvent> getEvents()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.